National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2006-1730 Detail

Current Description

Integer overflow in Mozilla Firefox and Thunderbird 1.x before 1.5.0.2 and 1.0.x before 1.0.8, Mozilla Suite before 1.7.13, and SeaMonkey before 1.0.1 allows remote attackers to execute arbitrary code via a large number in the CSS letter-spacing property that leads to a heap-based buffer overflow.

Source:  MITRE      Last Modified:  04/14/2006      View Analysis Description

Quick Info

CVE Dictionary Entry:
CVE-2006-1730
Original release date:
04/14/2006
Last revised:
10/10/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
9.3 HIGH
Vector:
(AV:N/AC:M/Au:N/C:C/I:C/A:C) (legend)
Impact Subscore:
10.0
Exploitability Subscore:
8.6
CVSS Version 2 Metrics:
Access Vector:
Network exploitable - Victim must voluntarily interact with attack mechanism
Access Complexity:
Medium
Authentication:
Not required to exploit
Impact Type:
Provides administrator access, Allows complete confidentiality, integrity, and availability violation; Allows unauthorized disclosure of information; Allows disruption of service

Evaluator Solution

Fixed in: Firefox 1.5.0.2 Firefox 1.0.8 Thunderbird 1.5.0.2 Thunderbird 1.0.8 SeaMonkey 1.0.1 Mozilla Suite 1.7.13

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
ftp://ftp.sco.com/pub/updates/UnixWare/SCOSA-2006.26/SCOSA-2006.26.txt External Source SCO SCOSA-2006.26
ftp://patches.sgi.com/support/free/security/advisories/20060404-01-U.asc External Source SGI 20060404-01-U
http://lists.suse.com/archive/suse-security-announce/2006-Apr/0003.html External Source SUSE SUSE-SA:2006:021
http://securityreason.com/securityalert/720 External Source SREASON 720
http://securitytracker.com/id?1015915 Patch External Source SECTRACK 1015915
http://securitytracker.com/id?1015916 Patch External Source SECTRACK 1015916
http://securitytracker.com/id?1015917 Patch External Source SECTRACK 1015917
http://securitytracker.com/id?1015918 Patch External Source SECTRACK 1015918
http://sunsolve.sun.com/search/document.do?assetkey=1-26-102550-1 External Source SUNALERT 102550
http://sunsolve.sun.com/search/document.do?assetkey=1-26-228526-1 External Source SUNALERT 228526
http://support.avaya.com/elmodocs2/security/ASA-2006-205.htm External Source CONFIRM http://support.avaya.com/elmodocs2/security/ASA-2006-205.htm
http://www.debian.org/security/2006/dsa-1044 External Source DEBIAN DSA-1044
http://www.debian.org/security/2006/dsa-1046 External Source DEBIAN DSA-1046
http://www.debian.org/security/2006/dsa-1051 External Source DEBIAN DSA-1051
http://www.gentoo.org/security/en/glsa/glsa-200604-12.xml External Source GENTOO GLSA-200604-12
http://www.gentoo.org/security/en/glsa/glsa-200604-18.xml External Source GENTOO GLSA-200604-18
http://www.gentoo.org/security/en/glsa/glsa-200605-09.xml External Source GENTOO GLSA-200605-09
http://www.kb.cert.org/vuls/id/179014 Third Party Advisory; US Government Resource External Source CERT-VN VU#179014
http://www.mandriva.com/security/advisories?name=MDKSA-2006:075 External Source MANDRIVA MDKSA-2006:075
http://www.mandriva.com/security/advisories?name=MDKSA-2006:076 External Source MANDRIVA MDKSA-2006:076
http://www.mandriva.com/security/advisories?name=MDKSA-2006:078 External Source MANDRIVA MDKSA-2006:078
http://www.mozilla.org/security/announce/2006/mfsa2006-22.html Vendor Advisory External Source CONFIRM http://www.mozilla.org/security/announce/2006/mfsa2006-22.html
http://www.novell.com/linux/security/advisories/2006_04_25.html External Source SUSE SUSE-SA:2006:022
http://www.redhat.com/archives/fedora-announce-list/2006-April/msg00153.html External Source FEDORA FEDORA-2006-410
http://www.redhat.com/archives/fedora-announce-list/2006-April/msg00154.html External Source FEDORA FEDORA-2006-411
http://www.redhat.com/support/errata/RHSA-2006-0328.html Vendor Advisory External Source REDHAT RHSA-2006:0328
http://www.redhat.com/support/errata/RHSA-2006-0329.html Vendor Advisory External Source REDHAT RHSA-2006:0329
http://www.redhat.com/support/errata/RHSA-2006-0330.html Vendor Advisory External Source REDHAT RHSA-2006:0330
http://www.securityfocus.com/archive/1/archive/1/431060/100/0/threaded External Source BUGTRAQ 20060415 ZDI-06-010: Mozilla Firefox CSS Letter-Spacing Heap Overflow Vulnerability
http://www.securityfocus.com/archive/1/archive/1/434524/100/0/threaded External Source HP HPSBTU02118
http://www.securityfocus.com/archive/1/archive/1/436296/100/0/threaded External Source FEDORA FLSA:189137-1
http://www.securityfocus.com/archive/1/archive/1/436338/100/0/threaded External Source FEDORA FLSA:189137-2
http://www.securityfocus.com/archive/1/archive/1/438730/100/0/threaded External Source HP SSRT061158
http://www.securityfocus.com/archive/1/archive/1/446657/100/200/threaded External Source HP SSRT061236
http://www.securityfocus.com/archive/1/archive/1/446658/100/200/threaded External Source HP HPSBUX02153
http://www.securityfocus.com/bid/17516 External Source BID 17516
http://www.ubuntulinux.org/support/documentation/usn/usn-271-1 External Source UBUNTU USN-271-1
http://www.ubuntulinux.org/support/documentation/usn/usn-275-1 External Source UBUNTU USN-275-1
http://www.ubuntulinux.org/support/documentation/usn/usn-276-1 External Source UBUNTU USN-276-1
http://www.us-cert.gov/cas/techalerts/TA06-107A.html US Government Resource External Source CERT TA06-107A
http://www.vupen.com/english/advisories/2006/1356 External Source VUPEN ADV-2006-1356
http://www.vupen.com/english/advisories/2006/3391 External Source VUPEN ADV-2006-3391
http://www.vupen.com/english/advisories/2006/3748 External Source VUPEN ADV-2006-3748
http://www.vupen.com/english/advisories/2006/3749 External Source VUPEN ADV-2006-3749
http://www.vupen.com/english/advisories/2008/0083 External Source VUPEN ADV-2008-0083
http://www.zerodayinitiative.com/advisories/ZDI-06-010.html Vendor Advisory External Source MISC http://www.zerodayinitiative.com/advisories/ZDI-06-010.html
https://exchange.xforce.ibmcloud.com/vulnerabilities/25826 External Source XF mozilla-css-letterspacing-overflow(25826)
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10055 External Source OVAL oval:org.mitre.oval:def:10055
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A1614 External Source OVAL oval:org.mitre.oval:def:1614

References to Check Content

Identifier:
oval:org.mitre.oval:def:10055
Check System:
http://oval.mitre.org/XMLSchema/oval-definitions-5
Hyperlink:
http://oval.mitre.org/repository/data/DownloadDefinition?id=oval:org.mitre.oval:def:10055
Identifier:
oval:org.mitre.oval:def:1614
Check System:
http://oval.mitre.org/XMLSchema/oval-definitions-5
Hyperlink:
http://oval.mitre.org/repository/data/DownloadDefinition?id=oval:org.mitre.oval:def:1614

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:mozilla:firefox:1.0:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:firefox:1.0.1:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:firefox:1.0.2:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:firefox:1.0.3:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:firefox:1.0.4:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:firefox:1.0.5:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:firefox:1.0.6:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:firefox:1.0.7:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:firefox:1.5:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:firefox:1.5:beta1:*:*:*:*:*:*
cpe:2.3:a:mozilla:firefox:1.5:beta2:*:*:*:*:*:*
cpe:2.3:a:mozilla:firefox:1.5.0.1:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:mozilla_suite:1.7.6:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:mozilla_suite:1.7.7:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:mozilla_suite:1.7.8:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:mozilla_suite:1.7.10:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:mozilla_suite:1.7.11:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:mozilla_suite:1.7.12:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:seamonkey:1.0:*:alpha:*:*:*:*:*
cpe:2.3:a:mozilla:seamonkey:1.0:beta:*:*:*:*:*:*
cpe:2.3:a:mozilla:thunderbird:1.0:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:thunderbird:1.0.1:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:thunderbird:1.0.2:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:thunderbird:1.0.3:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:thunderbird:1.0.4:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:thunderbird:1.0.5:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:thunderbird:1.0.5:beta:*:*:*:*:*:*
cpe:2.3:a:mozilla:thunderbird:1.0.6:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:thunderbird:1.0.7:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:thunderbird:1.5:*:*:*:*:*:*:*
cpe:2.3:a:mozilla:thunderbird:1.5:beta2:*:*:*:*:*:*
cpe:2.3:a:mozilla:thunderbird:1.5.0.1:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 5 change records found - show changes